/*-- REXX --------------------------------------------------------------------*/
/*                                                                            */
/* Module:      access.rex                                                    */
/*                                                                            */
/* Version:     1.1.1                                                         */
/*                                                                            */
/* Author:      W. David Ashley                                               */
/*                                                                            */
/* Description: This program sheck that a client ip address is valid to       */
/*              receive the specified page.                                   */
/*                                                                            */
/* Copyright (C) International Business Machines Corporation and others.      */
/* All Rights Reserved.                                                       */
/*                                                                            */
/* This software is subject to the terms of the Common Public License. You    */
/* must accept the terms of this license to use this software. Refer to       */
/* the file CPLv1.0.htm included in this package for more information.        */
/*                                                                            */
/* The program is provided "as is" without any warranty express or implied,   */
/* including the warranty of non-infringement and the implied warranties of   */
/* merchantibility and fitness for a particular purpose. IBM will not be      */
/* liable for any damages suffered by you as a result of using the Program.   */
/* In no event will IBM be liable for any special, indirect or consequential  */
/* damages or lost profits even if IBM has been advised of the possibility of */
/* their occurrence. IBM will not be liable for any third party claims        */
/* against you.                                                               */
/*                                                                            */
/* Modifications:                                                             */
/*                                                                            */
/* Date       Author      Description                                         */
/* ---------- ----------- --------------------------------------------------- */
/* 2001/10/11 WD Ashley   v1.0.1 Initial Public Release                       */
/* 2001/11/29 WD Ashley   v1.0.2 No code changes for this release             */
/* 2002/01/14 WD Ashley   v1.0.3 No code changes for this release             */
/* 2002/06/01 WD Ashley   v1.1.0 No code changes for this release             */
/* 2002/06/30 WD Ashley   v1.1.1 Changed the license reference only,          */
/*                                                                            */
/*----------------------------------------------------------------------------*/


/* version of this script */
script_version = 'v1.1.1'

/* these are some typical Apache return codes */
OK        = 0      /* Module has handled this stage. */
FORBIDDEN = 403    /* Main document forbidden. */

/* get the Apache request record ptr */
r = arg(1)

/* we add the ending period so REXX will see it as a string */
iprange = '192.168.'
if substr(wwwremote_addr, 1, length(iprange)) <> iprange then return FORBIDDEN

/* we are done */
return OK

